Index: django/django/forms/fields.py
===================================================================
--- django/django/forms/fields.py	(revision 9912)
+++ django/django/forms/fields.py	(working copy)
@@ -28,7 +28,7 @@
 from django.utils.encoding import smart_unicode, smart_str

 from util import ErrorList, ValidationError
-from widgets import TextInput, PasswordInput, HiddenInput, MultipleHiddenInput, FileInput, CheckboxInput, Select, NullBooleanSelect, SelectMultiple, DateTimeInput, TimeInput, SplitDateTimeWidget, SplitHiddenDateTimeWidget
+from widgets import TextInput, PasswordInput, HiddenInput, MultipleHiddenInput, FileInput, CheckboxInput, Select, NullSelect, NullBooleanSelect, SelectMultiple, DateTimeInput, TimeInput, SplitDateTimeWidget, SplitHiddenDateTimeWidget
 from django.core.files.uploadedfile import SimpleUploadedFile as UploadedFile

 __all__ = (
@@ -256,8 +256,8 @@
         digits = len(digittuple)
         if decimals > digits:
             # We have leading zeros up to or past the decimal point.  Count
-            # everything past the decimal point as a digit.  We do not count
-            # 0 before the decimal point as a digit since that would mean
+            # everything past the decimal point as a digit.  We do not count
+            # 0 before the decimal point as a digit since that would mean
             # we would not allow max_digits = decimal_places.
             digits = decimals
         whole_digits = digits - decimals
Index: django/django/forms/widgets.py
===================================================================
--- django/django/forms/widgets.py	(revision 9912)
+++ django/django/forms/widgets.py	(working copy)
@@ -24,7 +24,7 @@
     'Media', 'MediaDefiningClass', 'Widget', 'TextInput', 'PasswordInput',
     'HiddenInput', 'MultipleHiddenInput',
     'FileInput', 'DateTimeInput', 'TimeInput', 'Textarea', 'CheckboxInput',
-    'Select', 'NullBooleanSelect', 'SelectMultiple', 'RadioSelect',
+    'Select', 'NullSelect', 'NullBooleanSelect', 'SelectMultiple', 'RadioSelect',
     'CheckboxSelectMultiple', 'MultiWidget',
     'SplitDateTimeWidget',
 )
@@ -382,6 +382,27 @@
                 output.append(render_option(option_value, option_label))
         return u'\n'.join(output)

+class NullSelect(Select):
+    """
+    A Select Widget with a null option as the default choice
+    """
+    def __init__(self, attrs=None, choices=(), empty_label=u"---------"):
+        self.empty_label = empty_label
+        super(NullSelect, self).__init__(attrs, choices)
+
+    def render(self, name, value, attrs=None, choices=(), **kwargs):
+        empty_choice = ()
+        if 'empty_label' in kwargs:
+            if kwargs['empty_label'] is not None:
+                empty_choice = ((u'', kwargs['empty_label']),)
+        elif self.empty_label is not None:
+            empty_choice = ((u'', self.empty_label),)
+        base_choices = self.choices
+        self.choices = chain(empty_choice, base_choices)
+        result = super(NullSelect, self).render(name, value, attrs, choices)
+        self.choices = base_choices
+        return result
+
 class NullBooleanSelect(Select):
     """
     A Select Widget intended to be used with NullBooleanField.
Index: django/django/contrib/localflavor/uk/forms.py
===================================================================
--- django/django/contrib/localflavor/uk/forms.py	(revision 9912)
+++ django/django/contrib/localflavor/uk/forms.py	(working copy)
@@ -4,7 +4,7 @@

 import re

-from django.forms.fields import CharField, Select
+from django.forms.fields import CharField, NullSelect
 from django.forms import ValidationError
 from django.utils.translation import ugettext_lazy as _

@@ -36,17 +36,17 @@
             raise ValidationError(self.default_error_messages['invalid'])
         return postcode

-class UKCountySelect(Select):
+class UKCountySelect(NullSelect):
     """
-    A Select widget that uses a list of UK Counties/Regions as its choices.
+    A NullSelect widget that uses a list of UK Counties/Regions as its choices.
     """
     def __init__(self, attrs=None):
         from uk_regions import UK_REGION_CHOICES
         super(UKCountySelect, self).__init__(attrs, choices=UK_REGION_CHOICES)

-class UKNationSelect(Select):
+class UKNationSelect(NullSelect):
     """
-    A Select widget that uses a list of UK Nations as its choices.
+    A NullSelect widget that uses a list of UK Nations as its choices.
     """
     def __init__(self, attrs=None):
         from uk_regions import UK_NATIONS_CHOICES
Index: django/django/contrib/localflavor/ro/forms.py
===================================================================
--- django/django/contrib/localflavor/ro/forms.py	(revision 9912)
+++ django/django/contrib/localflavor/ro/forms.py	(working copy)
@@ -5,7 +5,7 @@

 import re

-from django.forms import ValidationError, Field, RegexField, Select
+from django.forms import ValidationError, Field, RegexField, NullSelect
 from django.forms.fields import EMPTY_VALUES
 from django.utils.translation import ugettext_lazy as _

@@ -122,9 +122,9 @@
                 return entry[0]
         raise ValidationError(self.error_messages['invalid'])

-class ROCountySelect(Select):
+class ROCountySelect(NullSelect):
     """
-    A Select widget that uses a list of Romanian counties (judete) as its
+    A NullSelect widget that uses a list of Romanian counties (judete) as its
     choices.
     """
     def __init__(self, attrs=None):
Index: django/django/contrib/localflavor/ca/forms.py
===================================================================
--- django/django/contrib/localflavor/ca/forms.py	(revision 9912)
+++ django/django/contrib/localflavor/ca/forms.py	(working copy)
@@ -3,7 +3,7 @@
 """

 from django.forms import ValidationError
-from django.forms.fields import Field, RegexField, Select, EMPTY_VALUES
+from django.forms.fields import Field, RegexField, NullSelect, EMPTY_VALUES
 from django.forms.util import smart_unicode
 from django.utils.translation import ugettext_lazy as _
 import re
@@ -65,9 +65,9 @@
                 pass
         raise ValidationError(self.error_messages['invalid'])

-class CAProvinceSelect(Select):
+class CAProvinceSelect(NullSelect):
     """
-    A Select widget that uses a list of Canadian provinces and
+    A NullSelect widget that uses a list of Canadian provinces and
     territories as its choices.
     """
     def __init__(self, attrs=None):
Index: django/django/contrib/localflavor/mx/forms.py
===================================================================
--- django/django/contrib/localflavor/mx/forms.py	(revision 9912)
+++ django/django/contrib/localflavor/mx/forms.py	(working copy)
@@ -2,11 +2,11 @@
 Mexican-specific form helpers.
 """

-from django.forms.fields import Select
+from django.forms.fields import NullSelect

-class MXStateSelect(Select):
+class MXStateSelect(NullSelect):
     """
-    A Select widget that uses a list of Mexican states as its choices.
+    A NullSelect widget that uses a list of Mexican states as its choices.
     """
     def __init__(self, attrs=None):
         from mx_states import STATE_CHOICES
Index: django/django/contrib/localflavor/us/forms.py
===================================================================
--- django/django/contrib/localflavor/us/forms.py	(revision 9912)
+++ django/django/contrib/localflavor/us/forms.py	(working copy)
@@ -3,7 +3,7 @@
 """

 from django.forms import ValidationError
-from django.forms.fields import Field, RegexField, Select, EMPTY_VALUES
+from django.forms.fields import Field, RegexField, NullSelect, EMPTY_VALUES
 from django.utils.encoding import smart_unicode
 from django.utils.translation import ugettext_lazy as _
 import re
@@ -103,9 +103,9 @@
                 pass
         raise ValidationError(self.error_messages['invalid'])

-class USStateSelect(Select):
+class USStateSelect(NullSelect):
     """
-    A Select widget that uses a list of U.S. states/territories as its choices.
+    A NullSelect widget that uses a list of U.S. states/territories as its choices.
     """
     def __init__(self, attrs=None):
         from us_states import STATE_CHOICES
Index: django/django/contrib/localflavor/de/forms.py
===================================================================
--- django/django/contrib/localflavor/de/forms.py	(revision 9912)
+++ django/django/contrib/localflavor/de/forms.py	(working copy)
@@ -3,7 +3,7 @@
 """

 from django.forms import ValidationError
-from django.forms.fields import Field, RegexField, Select, EMPTY_VALUES
+from django.forms.fields import Field, RegexField, NullSelect, EMPTY_VALUES
 from django.utils.translation import ugettext_lazy as _
 import re

@@ -17,9 +17,9 @@
         super(DEZipCodeField, self).__init__(r'^\d{5}$',
             max_length=None, min_length=None, *args, **kwargs)

-class DEStateSelect(Select):
+class DEStateSelect(NullSelect):
     """
-    A Select widget that uses a list of DE states as its choices.
+    A NullSelect widget that uses a list of DE states as its choices.
     """
     def __init__(self, attrs=None):
         from de_states import STATE_CHOICES
Index: django/django/contrib/localflavor/ch/forms.py
===================================================================
--- django/django/contrib/localflavor/ch/forms.py	(revision 9912)
+++ django/django/contrib/localflavor/ch/forms.py	(working copy)
@@ -3,7 +3,7 @@
 """

 from django.forms import ValidationError
-from django.forms.fields import Field, RegexField, Select, EMPTY_VALUES
+from django.forms.fields import Field, RegexField, NullSelect, EMPTY_VALUES
 from django.utils.encoding import smart_unicode
 from django.utils.translation import ugettext_lazy as _
 import re
@@ -41,9 +41,9 @@
             return u'%s %s %s %s' % (value[0:3], value[3:6], value[6:8], value[8:10])
         raise ValidationError(self.error_messages['invalid'])

-class CHStateSelect(Select):
+class CHStateSelect(NullSelect):
     """
-    A Select widget that uses a list of CH states as its choices.
+    A NullSelect widget that uses a list of CH states as its choices.
     """
     def __init__(self, attrs=None):
         from ch_states import STATE_CHOICES # relative import
Index: django/django/contrib/localflavor/cl/forms.py
===================================================================
--- django/django/contrib/localflavor/cl/forms.py	(revision 9912)
+++ django/django/contrib/localflavor/cl/forms.py	(working copy)
@@ -3,14 +3,13 @@
 """

 from django.forms import ValidationError
-from django.forms.fields import RegexField, Select, EMPTY_VALUES
+from django.forms.fields import RegexField, NullSelect, EMPTY_VALUES
 from django.utils.translation import ugettext_lazy as _
 from django.utils.encoding import smart_unicode

-
-class CLRegionSelect(Select):
+class CLRegionSelect(NullSelect):
     """
-    A Select widget that uses a list of Chilean Regions (Regiones)
+    A NullSelect widget that uses a list of Chilean Regions (Regiones)
     as its choices.
     """
     def __init__(self, attrs=None):
Index: django/django/contrib/localflavor/fi/forms.py
===================================================================
--- django/django/contrib/localflavor/fi/forms.py	(revision 9912)
+++ django/django/contrib/localflavor/fi/forms.py	(working copy)
@@ -4,7 +4,7 @@

 import re
 from django.forms import ValidationError
-from django.forms.fields import Field, RegexField, Select, EMPTY_VALUES
+from django.forms.fields import Field, RegexField, NullSelect, EMPTY_VALUES
 from django.utils.translation import ugettext_lazy as _

 class FIZipCodeField(RegexField):
@@ -15,9 +15,9 @@
         super(FIZipCodeField, self).__init__(r'^\d{5}$',
             max_length=None, min_length=None, *args, **kwargs)

-class FIMunicipalitySelect(Select):
+class FIMunicipalitySelect(NullSelect):
     """
-    A Select widget that uses a list of Finnish municipalities as its choices.
+    A NullSelect widget that uses a list of Finnish municipalities as its choices.
     """
     def __init__(self, attrs=None):
         from fi_municipalities import MUNICIPALITY_CHOICES
Index: django/django/contrib/localflavor/ar/forms.py
===================================================================
--- django/django/contrib/localflavor/ar/forms.py	(revision 9912)
+++ django/django/contrib/localflavor/ar/forms.py	(working copy)
@@ -4,13 +4,13 @@
 """

 from django.forms import ValidationError
-from django.forms.fields import RegexField, CharField, Select, EMPTY_VALUES
+from django.forms.fields import RegexField, CharField, NullSelect, EMPTY_VALUES
 from django.utils.encoding import smart_unicode
 from django.utils.translation import ugettext_lazy as _

-class ARProvinceSelect(Select):
+class ARProvinceSelect(NullSelect):
     """
-    A Select widget that uses a list of Argentinean provinces/autonomous cities
+    A NullSelect widget that uses a list of Argentinean provinces/autonomous cities
     as its choices.
     """
     def __init__(self, attrs=None):
Index: django/django/contrib/localflavor/br/forms.py
===================================================================
--- django/django/contrib/localflavor/br/forms.py	(revision 9912)
+++ django/django/contrib/localflavor/br/forms.py	(working copy)
@@ -4,7 +4,7 @@
 """

 from django.forms import ValidationError
-from django.forms.fields import Field, RegexField, CharField, Select, EMPTY_VALUES
+from django.forms.fields import Field, RegexField, CharField, NullSelect, EMPTY_VALUES
 from django.utils.encoding import smart_unicode
 from django.utils.translation import ugettext_lazy as _
 import re
@@ -40,9 +40,9 @@
             return u'%s-%s-%s' % (m.group(1), m.group(2), m.group(3))
         raise ValidationError(self.error_messages['invalid'])

-class BRStateSelect(Select):
+class BRStateSelect(NullSelect):
     """
-    A Select widget that uses a list of Brazilian states/territories
+    A NullSelect widget that uses a list of Brazilian states/territories
     as its choices.
     """
     def __init__(self, attrs=None):
@@ -53,7 +53,7 @@
     """
     A choice field that uses a list of Brazilian states as its choices.
     """
-    widget = Select
+    widget = BRStateSelect
     default_error_messages = {
         'invalid': _(u'Select a valid brazilian state. That state is not one of the available states.'),
     }
Index: django/django/contrib/localflavor/at/forms.py
===================================================================
--- django/django/contrib/localflavor/at/forms.py	(revision 9912)
+++ django/django/contrib/localflavor/at/forms.py	(working copy)
@@ -5,7 +5,7 @@
 import re

 from django.utils.translation import ugettext_lazy as _
-from django.forms.fields import Field, RegexField, Select
+from django.forms.fields import Field, RegexField, NullSelect
 from django.forms import ValidationError

 re_ssn = re.compile(r'^\d{4} \d{6}')
@@ -23,9 +23,9 @@
         super(ATZipCodeField, self).__init__(r'^\d{4}$',
                 max_length=None, min_length=None, *args, **kwargs)

-class ATStateSelect(Select):
+class ATStateSelect(NullSelect):
     """
-    A Select widget that uses a list of AT states as its choices.
+    A NullSelect widget that uses a list of AT states as its choices.
     """
     def __init__(self, attrs=None):
         from django.contrib.localflavor.at.at_states import STATE_CHOICES
Index: django/django/contrib/localflavor/pe/forms.py
===================================================================
--- django/django/contrib/localflavor/pe/forms.py	(revision 9912)
+++ django/django/contrib/localflavor/pe/forms.py	(working copy)
@@ -4,12 +4,12 @@
 """

 from django.forms import ValidationError
-from django.forms.fields import RegexField, CharField, Select, EMPTY_VALUES
+from django.forms.fields import RegexField, CharField, NullSelect, EMPTY_VALUES
 from django.utils.translation import ugettext_lazy as _

-class PERegionSelect(Select):
+class PERegionSelect(NullSelect):
     """
-    A Select widget that uses a list of Peruvian Regions as its choices.
+    A NullSelect widget that uses a list of Peruvian Regions as its choices.
     """
     def __init__(self, attrs=None):
         from pe_region import REGION_CHOICES
Index: django/django/contrib/localflavor/in_/forms.py
===================================================================
--- django/django/contrib/localflavor/in_/forms.py	(revision 9912)
+++ django/django/contrib/localflavor/in_/forms.py	(working copy)
@@ -3,7 +3,7 @@
 """

 from django.forms import ValidationError
-from django.forms.fields import Field, RegexField, Select, EMPTY_VALUES
+from django.forms.fields import Field, RegexField, NullSelect, EMPTY_VALUES
 from django.utils.encoding import smart_unicode
 from django.utils.translation import gettext
 import re
@@ -44,9 +44,9 @@
                 pass
         raise ValidationError(self.error_messages['invalid'])

-class INStateSelect(Select):
+class INStateSelect(NullSelect):
     """
-    A Select widget that uses a list of Indian states/territories as its
+    A NullSelect widget that uses a list of Indian states/territories as its
     choices.
     """
     def __init__(self, attrs=None):
Index: django/django/contrib/localflavor/au/forms.py
===================================================================
--- django/django/contrib/localflavor/au/forms.py	(revision 9912)
+++ django/django/contrib/localflavor/au/forms.py	(working copy)
@@ -3,7 +3,7 @@
 """

 from django.forms import ValidationError
-from django.forms.fields import Field, RegexField, Select, EMPTY_VALUES
+from django.forms.fields import Field, RegexField, NullSelect, EMPTY_VALUES
 from django.forms.util import smart_unicode
 from django.utils.translation import ugettext_lazy as _
 import re
@@ -39,9 +39,9 @@
             return u'%s' % phone_match.group(1)
         raise ValidationError(self.error_messages['invalid'])

-class AUStateSelect(Select):
+class AUStateSelect(NullSelect):
     """
-    A Select widget that uses a list of Australian states/territories as its
+    A NullSelect widget that uses a list of Australian states/territories as its
     choices.
     """
     def __init__(self, attrs=None):
Index: django/django/contrib/localflavor/es/forms.py
===================================================================
--- django/django/contrib/localflavor/es/forms.py	(revision 9912)
+++ django/django/contrib/localflavor/es/forms.py	(working copy)
@@ -4,7 +4,7 @@
 """

 from django.forms import ValidationError
-from django.forms.fields import RegexField, Select, EMPTY_VALUES
+from django.forms.fields import RegexField, NullSelect, EMPTY_VALUES
 from django.utils.translation import ugettext_lazy as _
 import re

@@ -160,17 +160,17 @@
         else:
             raise ValidationError, self.error_messages['checksum']

-class ESRegionSelect(Select):
+class ESRegionSelect(NullSelect):
     """
-    A Select widget that uses a list of spanish regions as its choices.
+    A NullSelect widget that uses a list of spanish regions as its choices.
     """
     def __init__(self, attrs=None):
         from es_regions import REGION_CHOICES
         super(ESRegionSelect, self).__init__(attrs, choices=REGION_CHOICES)

-class ESProvinceSelect(Select):
+class ESProvinceSelect(NullSelect):
     """
-    A Select widget that uses a list of spanish provinces as its choices.
+    A NullSelect widget that uses a list of spanish provinces as its choices.
     """
     def __init__(self, attrs=None):
         from es_provinces import PROVINCE_CHOICES
Index: django/django/contrib/localflavor/fr/forms.py
===================================================================
--- django/django/contrib/localflavor/fr/forms.py	(revision 9912)
+++ django/django/contrib/localflavor/fr/forms.py	(working copy)
@@ -3,7 +3,7 @@
 """

 from django.forms import ValidationError
-from django.forms.fields import Field, RegexField, Select, EMPTY_VALUES
+from django.forms.fields import Field, RegexField, NullSelect, EMPTY_VALUES
 from django.utils.encoding import smart_unicode
 from django.utils.translation import ugettext_lazy as _
 import re
@@ -40,9 +40,9 @@
             return u'%s %s %s %s %s' % (value[0:2], value[2:4], value[4:6], value[6:8], value[8:10])
         raise ValidationError(self.error_messages['invalid'])

-class FRDepartmentSelect(Select):
+class FRDepartmentSelect(NullSelect):
     """
-    A Select widget that uses a list of FR departments as its choices.
+    A NullSelect widget that uses a list of FR departments as its choices.
     """
     def __init__(self, attrs=None):
         from fr_department import DEPARTMENT_ASCII_CHOICES
Index: django/django/contrib/localflavor/jp/forms.py
===================================================================
--- django/django/contrib/localflavor/jp/forms.py	(revision 9912)
+++ django/django/contrib/localflavor/jp/forms.py	(working copy)
@@ -4,7 +4,7 @@

 from django.forms import ValidationError
 from django.utils.translation import ugettext_lazy as _
-from django.forms.fields import RegexField, Select
+from django.forms.fields import RegexField, NullSelect

 class JPPostalCodeField(RegexField):
     """
@@ -28,9 +28,9 @@
         v = super(JPPostalCodeField, self).clean(value)
         return v.replace('-', '')

-class JPPrefectureSelect(Select):
+class JPPrefectureSelect(NullSelect):
     """
-    A Select widget that uses a list of Japanese prefectures as its choices.
+    A NullSelect widget that uses a list of Japanese prefectures as its choices.
     """
     def __init__(self, attrs=None):
         from jp_prefectures import JP_PREFECTURES
Index: django/django/contrib/localflavor/nl/forms.py
===================================================================
--- django/django/contrib/localflavor/nl/forms.py	(revision 9912)
+++ django/django/contrib/localflavor/nl/forms.py	(working copy)
@@ -5,7 +5,7 @@
 import re

 from django.forms import ValidationError
-from django.forms.fields import Field, Select, EMPTY_VALUES
+from django.forms.fields import Field, NullSelect, EMPTY_VALUES
 from django.utils.translation import ugettext_lazy as _
 from django.utils.encoding import smart_unicode

@@ -35,9 +35,9 @@

         return u'%s %s' % (value[:4], value[4:])

-class NLProvinceSelect(Select):
+class NLProvinceSelect(NullSelect):
     """
-    A Select widget that uses a list of provinces of the Netherlands as its
+    A NullSelect widget that uses a list of provinces of the Netherlands as its
     choices.
     """
     def __init__(self, attrs=None):
Index: django/django/contrib/localflavor/is_/forms.py
===================================================================
--- django/django/contrib/localflavor/is_/forms.py	(revision 9912)
+++ django/django/contrib/localflavor/is_/forms.py	(working copy)
@@ -4,7 +4,7 @@

 from django.forms import ValidationError
 from django.forms.fields import RegexField, EMPTY_VALUES
-from django.forms.widgets import Select
+from django.forms.widgets import NullSelect
 from django.utils.translation import ugettext_lazy as _
 from django.utils.encoding import smart_unicode

@@ -72,9 +72,9 @@

         return value.replace('-', '').replace(' ', '')

-class ISPostalCodeSelect(Select):
+class ISPostalCodeSelect(NullSelect):
     """
-    A Select widget that uses a list of Icelandic postal codes as its choices.
+    A NullSelect widget that uses a list of Icelandic postal codes as its choices.
     """
     def __init__(self, attrs=None):
         from is_postalcodes import IS_POSTALCODES
Index: django/django/contrib/localflavor/pl/forms.py
===================================================================
--- django/django/contrib/localflavor/pl/forms.py	(revision 9912)
+++ django/django/contrib/localflavor/pl/forms.py	(working copy)
@@ -5,20 +5,20 @@
 import re

 from django.forms import ValidationError
-from django.forms.fields import Select, RegexField
+from django.forms.fields import NullSelect, RegexField
 from django.utils.translation import ugettext_lazy as _

-class PLProvinceSelect(Select):
+class PLProvinceSelect(NullSelect):
     """
-    A select widget with list of Polish administrative provinces as choices.
+    A NullSelect widget with list of Polish administrative provinces as choices.
     """
     def __init__(self, attrs=None):
         from pl_voivodeships import VOIVODESHIP_CHOICES
         super(PLProvinceSelect, self).__init__(attrs, choices=VOIVODESHIP_CHOICES)

-class PLCountySelect(Select):
+class PLCountySelect(NullSelect):
     """
-    A select widget with list of Polish administrative units as choices.
+    A NullSelect widget with list of Polish administrative units as choices.
     """
     def __init__(self, attrs=None):
         from pl_administrativeunits import ADMINISTRATIVE_UNIT_CHOICES
Index: django/django/contrib/localflavor/it/forms.py
===================================================================
--- django/django/contrib/localflavor/it/forms.py	(revision 9912)
+++ django/django/contrib/localflavor/it/forms.py	(working copy)
@@ -3,7 +3,7 @@
 """

 from django.forms import ValidationError
-from django.forms.fields import Field, RegexField, Select, EMPTY_VALUES
+from django.forms.fields import Field, RegexField, NullSelect, EMPTY_VALUES
 from django.utils.translation import ugettext_lazy as _
 from django.utils.encoding import smart_unicode
 from django.contrib.localflavor.it.util import ssn_check_digit, vat_number_check_digit
@@ -17,17 +17,17 @@
         super(ITZipCodeField, self).__init__(r'^\d{5}$',
         max_length=None, min_length=None, *args, **kwargs)

-class ITRegionSelect(Select):
+class ITRegionSelect(NullSelect):
     """
-    A Select widget that uses a list of IT regions as its choices.
+    A NullSelect widget that uses a list of IT regions as its choices.
     """
     def __init__(self, attrs=None):
         from it_region import REGION_CHOICES
         super(ITRegionSelect, self).__init__(attrs, choices=REGION_CHOICES)

-class ITProvinceSelect(Select):
+class ITProvinceSelect(NullSelect):
     """
-    A Select widget that uses a list of IT provinces as its choices.
+    A NullSelect widget that uses a list of IT provinces as its choices.
     """
     def __init__(self, attrs=None):
         from it_province import PROVINCE_CHOICES
Index: django/django/contrib/localflavor/no/forms.py
===================================================================
--- django/django/contrib/localflavor/no/forms.py	(revision 9912)
+++ django/django/contrib/localflavor/no/forms.py	(working copy)
@@ -4,7 +4,7 @@

 import re, datetime
 from django.forms import ValidationError
-from django.forms.fields import Field, RegexField, Select, EMPTY_VALUES
+from django.forms.fields import Field, RegexField, NullSelect, EMPTY_VALUES
 from django.utils.translation import ugettext_lazy as _

 class NOZipCodeField(RegexField):
@@ -16,9 +16,9 @@
         super(NOZipCodeField, self).__init__(r'^\d{4}$',
             max_length=None, min_length=None, *args, **kwargs)

-class NOMunicipalitySelect(Select):
+class NOMunicipalitySelect(NullSelect):
     """
-    A Select widget that uses a list of Norwegian municipalities (fylker)
+    A NullSelect widget that uses a list of Norwegian municipalities (fylker)
     as its choices.
     """
     def __init__(self, attrs=None):
Index: django/django/contrib/localflavor/cz/forms.py
===================================================================
--- django/django/contrib/localflavor/cz/forms.py	(revision 9912)
+++ django/django/contrib/localflavor/cz/forms.py	(working copy)
@@ -3,16 +3,16 @@
 """

 from django.forms import ValidationError
-from django.forms.fields import Select, RegexField, Field, EMPTY_VALUES
+from django.forms.fields import NullSelect, RegexField, Field, EMPTY_VALUES
 from django.utils.translation import ugettext_lazy as _
 import re

 birth_number = re.compile(r'^(?P<birth>\d{6})/?(?P<id>\d{3,4})$')
 ic_number = re.compile(r'^(?P<number>\d{7})(?P<check>\d)$')

-class CZRegionSelect(Select):
+class CZRegionSelect(NullSelect):
     """
-    A select widget widget with list of Czech regions as choices.
+    A NullSelect widget widget with list of Czech regions as choices.
     """
     def __init__(self, attrs=None):
         from cz_regions import REGION_CHOICES
Index: django/django/contrib/localflavor/sk/forms.py
===================================================================
--- django/django/contrib/localflavor/sk/forms.py	(revision 9912)
+++ django/django/contrib/localflavor/sk/forms.py	(working copy)
@@ -2,20 +2,20 @@
 Slovak-specific form helpers
 """

-from django.forms.fields import Select, RegexField
+from django.forms.fields import NullSelect, RegexField
 from django.utils.translation import ugettext_lazy as _

-class SKRegionSelect(Select):
+class SKRegionSelect(NullSelect):
     """
-    A select widget widget with list of Slovak regions as choices.
+    A NullSelect widget widget with list of Slovak regions as choices.
     """
     def __init__(self, attrs=None):
         from sk_regions import REGION_CHOICES
         super(SKRegionSelect, self).__init__(attrs, choices=REGION_CHOICES)

-class SKDistrictSelect(Select):
+class SKDistrictSelect(NullSelect):
     """
-    A select widget with list of Slovak districts as choices.
+    A NullSelect widget with list of Slovak districts as choices.
     """
     def __init__(self, attrs=None):
         from sk_districts import DISTRICT_CHOICES
Index: django/tests/regressiontests/forms/localflavor/de.py
===================================================================
--- django/tests/regressiontests/forms/localflavor/de.py	(revision 9912)
+++ django/tests/regressiontests/forms/localflavor/de.py	(working copy)
@@ -18,7 +18,7 @@
 >>> from django.contrib.localflavor.de.forms import DEStateSelect
 >>> w = DEStateSelect()
 >>> w.render('states', 'TH')
-u'<select name="states">\n<option value="BW">Baden-Wuerttemberg</option>\n<option value="BY">Bavaria</option>\n<option value="BE">Berlin</option>\n<option value="BB">Brandenburg</option>\n<option value="HB">Bremen</option>\n<option value="HH">Hamburg</option>\n<option value="HE">Hessen</option>\n<option value="MV">Mecklenburg-Western Pomerania</option>\n<option value="NI">Lower Saxony</option>\n<option value="NW">North Rhine-Westphalia</option>\n<option value="RP">Rhineland-Palatinate</option>\n<option value="SL">Saarland</option>\n<option value="SN">Saxony</option>\n<option value="ST">Saxony-Anhalt</option>\n<option value="SH">Schleswig-Holstein</option>\n<option value="TH" selected="selected">Thuringia</option>\n</select>'
+u'<select name="states">\n<option value="">---------</option>\n<option value="BW">Baden-Wuerttemberg</option>\n<option value="BY">Bavaria</option>\n<option value="BE">Berlin</option>\n<option value="BB">Brandenburg</option>\n<option value="HB">Bremen</option>\n<option value="HH">Hamburg</option>\n<option value="HE">Hessen</option>\n<option value="MV">Mecklenburg-Western Pomerania</option>\n<option value="NI">Lower Saxony</option>\n<option value="NW">North Rhine-Westphalia</option>\n<option value="RP">Rhineland-Palatinate</option>\n<option value="SL">Saarland</option>\n<option value="SN">Saxony</option>\n<option value="ST">Saxony-Anhalt</option>\n<option value="SH">Schleswig-Holstein</option>\n<option value="TH" selected="selected">Thuringia</option>\n</select>'

 # DEIdentityCardNumberField #################################################

